################################################################################

# Created: 15th March 2004
# Updated: 26th January 2005

################################################################################

require "mkmf"
require "ftools"

def pr_err(e)
	print e + "\n"
	abort
end

if !ENV.has_key?("RECLS_DEV")
		pr_err("RECLS_DEV environment variable not defined")
end

if !ENV.has_key?("STLSOFT_INCLUDE")
		pr_err("STLSOFT_INCLUDE environment variable not defined")
else
		STLSOFT_INCLUDE = ENV["STLSOFT_INCLUDE"]
end

dir_config("recls")
dir_config("stlsoft")



#pr_err("Could not locate recls.h") if !have_header("recls.h")

#have_library("recls_lib_vc6.lib", "Recls_Search")
#find_library("recls_lib_vc6", "Recls_Search")

#print "LIBS: " + String($libs) + "\n"

#print "RUBY_PLATFORM: " + RUBY_PLATFORM + "\n"

#append_include($libs, STLSOFT_INCLUDE)

case RUBY_PLATFORM
when /mswin32/
	$libs = append_library($libs, "wininet")
	$libs = append_library($libs, "recls.vc6.mt")
#	$libs = append_library($libs, "recls.vc6.mt.debug")
#	$libs = append_library($libs, "msvcrtd")
else
	$libs = append_library($libs, "recls")
end


create_makefile("recls")

################################################################################

